Loading...
Searching...
No Matches
XrdCl::DefaultEnv Class Reference

`#include <XrdClDefaultEnv.hh>`

Inheritance diagram for XrdCl::DefaultEnv:
Collaboration diagram for XrdCl::DefaultEnv:

## Static Public Member Functions

static CheckSumManager * | GetCheckSumManager ()
| Get checksum manager.
static Env * | GetEnv ()
| Get default client environment.
static FileTimer * | GetFileTimer ()
| Get file timer task.
static ForkHandler * | GetForkHandler ()
| Get the fork handler.
static Log * | GetLog ()
| Get default log.
static Monitor * | GetMonitor ()
| Get the monitor object.
static PlugInFactory * | GetPlugInFactory (const std::string url)
static PlugInManager * | GetPlugInManager ()
| Get plug-in manager.
static PostMaster * | GetPostMaster ()
| Get default post master.
static TransportManager * | GetTransportManager ()
| Get transport manager.
static std::string | GetVersion ()
| Get client version.
static void | ReInitializeLogging ()
| Re-initialize the logging.
static bool | SetLogFile (const std::string &filepath)
static void | SetLogLevel (const std::string &level)
static void | SetLogMask (const std::string &level, const std::string &mask)
| Set log mask.

## Friends

struct | ::EnvInitializer

## Additional Inherited Members

Public Member Functions inherited from XrdCl::Env
virtual | ~Env ()
| Destructor.
bool | GetDefaultIntValue (const std::string &key, int &value)
bool | GetDefaultStringValue (const std::string &key, std::string &value)
bool | GetInt (const std::string &key, int &value)
bool | GetString (const std::string &key, std::string &value)
bool | ImportInt (const std::string &key, const std::string &shellKey)
bool | ImportString (const std::string &key, const std::string &shellKey)
bool | PutInt (const std::string &key, int value)
bool | PutString (const std::string &key, const std::string &value)
void | RecreateLock ()
void | ReInitializeLock ()
void | UnLock ()
void | WriteLock ()

## Detailed Description

Default environment for the client. Responsible for setting/importing defaults for the variables used by the client. And holding other global stuff.

Definition at line 46 of file XrdClDefaultEnv.hh.

## Member Function Documentation

## GetCheckSumManager()

CheckSumManager * XrdCl::DefaultEnv::GetCheckSumManager | ( |  | ) |

static

Get checksum manager.

Definition at line 642 of file XrdClDefaultEnv.cc.

{
if( unlikely( !sCheckSumManager ) )
{
XrdSysMutexHelper scopedLock( sInitMutex );
if( !sCheckSumManager )
sCheckSumManager = new CheckSumManager();
}
return sCheckSumManager;
}
unlikely
#define unlikely(x)
Definition XrdClOptimizers.hh:27

References unlikely.

Referenced by XrdCl::Utils::GetLocalCheckSum(), and XrdCl::CheckSumHelper::Initialize().

Here is the caller graph for this function:

## GetEnv()

Env * XrdCl::DefaultEnv::GetEnv | ( |  | ) |

static

Get default client environment.

Definition at line 445 of file XrdClDefaultEnv.cc.

{
return sEnv;
}

Referenced by XrdCl::AsyncSocketHandler::AsyncSocketHandler(), XrdCl::Channel::Channel(), XrdCl::PostMasterImpl::PostMasterImpl(), XrdCl::ZipListHandler::ZipListHandler(), XrdCl::CopyProcess::AddJob(), child(), XrdCl::AsyncSocketHandler::Connect(), DoLocate(), XrdCl::Utils::GetHostAddresses(), XrdCl::Utils::GetIntParameter(), GetMonitor(), XrdSsiClientProvider::GetService(), XrdCl::Utils::GetStringParameter(), XrdCl::Utils::InferChecksumType(), XrdCl::PostMaster::Initialize(), XrdCl::Socket::Initialize(), XrdCl::XRootDTransport::InitializeChannel(), XrdCl::InitTLS(), XrdCl::URL::IsMetalink(), XrdCl::XRootDTransport::IsStreamBroken(), XrdCl::XRootDTransport::IsStreamTTLElapsed(), main(), XrdCl::XRootDTransport::NeedEncryption(), parent(), XrdCl::FileStateHandler::PgWrite(), prepare(), XrdCl::XRootDMsgHandler::Process(), ProcessCommandLineEnv(), XrdCl::PlugInManager::ProcessEnvironmentSettings(), XrdCl::MessageUtils::ProcessSendParams(), XrdCl::MessageUtils::RewriteCGIAndPath(), XrdCl::FileTimer::Run(), XrdCl::TickGeneratorTask::Run(), XrdPosixConfig::SetEnv(), XrdSsiClientProvider::SetTimeout(), and XrdCl::XRootDTransport::SubStreamNumber().

Here is the caller graph for this function:

## GetFileTimer()

FileTimer * XrdCl::DefaultEnv::GetFileTimer | ( |  | ) |

static

Get file timer task.

Definition at line 559 of file XrdClDefaultEnv.cc.

{
return sFileTimer;
}

Referenced by XrdCl::FileStateHandler::FileStateHandler(), XrdCl::FileStateHandler::FileStateHandler(), and XrdCl::FileStateHandler::~FileStateHandler().

Here is the caller graph for this function:

## GetForkHandler()

ForkHandler * XrdCl::DefaultEnv::GetForkHandler | ( |  | ) |

static

Get the fork handler.

Definition at line 551 of file XrdClDefaultEnv.cc.

{
return sForkHandler;
}

Referenced by XrdCl::FileStateHandler::FileStateHandler(), XrdCl::FileStateHandler::FileStateHandler(), XrdCl::FileSystem::FileSystem(), XrdCl::FileStateHandler::~FileStateHandler(), XrdCl::FileSystem::~FileSystem(), child(), parent(), and prepare().

Here is the caller graph for this function:

## GetLog()

Log * XrdCl::DefaultEnv::GetLog | ( |  | ) |

static

Get default log.

Definition at line 493 of file XrdClDefaultEnv.cc.

{
return sLog;
}

Referenced by XrdCl::Channel::Channel(), XrdCl::ClassicCopyJob::ClassicCopyJob(), XrdCl::FileSystem::FileSystem(), xrdcl_proxy::ProxyFactory::ProxyFactory(), XrdCl::Stream::Stream(), XrdCl::ThirdPartyCopyJob::ThirdPartyCopyJob(), XrdCl::TPFallBackCopyJob::TPFallBackCopyJob(), XrdCl::XRootDMsgHandler::XRootDMsgHandler(), XrdCl::File::~File(), XrdCl::FileStateHandler::~FileStateHandler(), XrdCl::Stream::~Stream(), XrdCl::XRootDMsgHandler::~XRootDMsgHandler(), XrdCl::FSExecutor::AddCommand(), XrdCl::CopyProcess::AddJob(), XrdCl::PollerBuiltIn::AddSocket(), XrdCl::FileStateHandler::AfterForkChild(), XrdCl::ZipArchive::AppendFile(), XrdCl::FileSystemData::AssignLastURL(), XrdCl::FileSystemData::AssignLoadBalancer(), XrdCl::InQueue::AssignTimeout(), XrdCl::CheckSumManager::Calculate(), XrdCl::Stream::CanCollapse(), XrdCl::AsyncSocketHandler::CheckHSWait(), XrdCl::FileStateHandler::Checkpoint(), XrdCl::Utils::CheckTPC(), XrdCl::Utils::CheckTPCLite(), XrdCl::ForkHandler::Child(), child(), XrdCl::FileStateHandler::ChkptWrt(), XrdCl::FileStateHandler::ChkptWrtV(), XrdCl::AsyncSocketHandler::Close(), XrdCl::FileStateHandler::Close(), XrdCl::LocalFileHandler::Close(), XrdCl::ZipArchive::CloseArchive(), XrdCl::PostMaster::CollapseRedirect(), XrdCl::AsyncSocketHandler::Connect(), XrdCl::Socket::Connect(), XrdCl::Tls::Connect(), XrdCl::RecorderFactory::CreateFileSystem(), xrdcl_proxy::ProxyFactory::CreateFileSystem(), XrdCl::PollerFactory::CreatePoller(), XrdCl::FileStateHandler::DelXAttr(), XrdCl::Stream::DisableIfEmpty(), XrdCl::XRootDTransport::Disconnect(), DoCache(), DoCat(), DoCD(), DoChMod(), DoLocate(), DoLS(), DoMkDir(), DoMv(), DoPrepare(), DoQuery(), DoRm(), DoRmDir(), DoSpaceInfo(), DoStat(), DoStatVFS(), DoTail(), XrdCl::AsyncSocketHandler::DoTlsHandShake(), DoTruncate(), DoXAttr(), XrdCl::Stream::EnableLink(), XrdCl::PollerBuiltIn::EnableReadNotification(), XrdCl::PollerBuiltIn::EnableWriteNotification(), XrdCl::XRootDMsgHandler::Examine(), XrdCl::ActionExecutor::Execute(), XrdCl::FSExecutor::Execute(), XrdCl::FileStateHandler::Fcntl(), XrdCl::Stream::ForceError(), XrdCl::URL::FromString(), XrdCl::XRootDTransport::GenerateDescription(), XrdCl::CheckSumManager::GetCalculator(), XrdCl::CheckSumHelper::GetCheckSum(), XrdCl::InQueue::GetHandlerForMessage(), XrdCl::XRootDTransport::GetHeader(), XrdCl::Utils::GetHostAddresses(), XrdCl::Env::GetInt(), XrdCl::Utils::GetLocalCheckSum(), GetMonitor(), XrdCl::XRootDTransport::GetMore(), XrdCl::Utils::GetRemoteCheckSum(), XrdCl::Env::GetString(), XrdCl::FileStateHandler::GetXAttr(), XrdCl::AsyncSocketHandler::HandleHandShake(), XrdCl::XRootDTransport::HandShake(), XrdCl::XRootDTransport::HandShakeDone(), XrdCl::Env::ImportInt(), XrdCl::Env::ImportString(), IndexRemote(), XrdCl::CheckSumHelper::Initialize(), XrdCl::XCpCtx::Initialize(), XrdCl::InitTLS(), XrdCl::XRootDMsgHandler::InspectStatusRsp(), XrdCl::XRootDTransport::IsStreamBroken(), XrdCl::XRootDTransport::IsStreamTTLElapsed(), XrdCl::FileStateHandler::ListXAttr(), XrdCl::XRootDTransport::LogErrorResponse(), main(), XrdCl::XRootDTransport::MessageReceived(), XrdCl::XRootDTransport::MultiplexSubStream(), XrdCl::XRootDTransport::NbConnectedStrm(), XrdCl::FileStateHandler::OnClose(), XrdCl::Stream::OnConnect(), XrdCl::Stream::OnConnectError(), XrdCl::AsyncSocketHandler::OnConnectionReturn(), XrdCl::Stream::OnError(), XrdCl::AsyncSocketHandler::OnFault(), XrdCl::AsyncSocketHandler::OnFaultWhileHandshaking(), XrdCl::Stream::OnIncoming(), XrdCl::FileStateHandler::OnOpen(), XrdCl::Stream::OnReadTimeout(), XrdCl::Stream::OnReadyToWrite(), XrdCl::FileStateHandler::OnStateError(), XrdCl::FileStateHandler::OnStateResponse(), XrdCl::XRootDMsgHandler::OnStatusReady(), XrdCl::XRootDMsgHandler::OnStreamEvent(), XrdCl::File::Open(), XrdCl::FileStateHandler::Open(), XrdCl::ZipArchive::OpenArchive(), XrdCl::ZipArchive::OpenFile(), XrdCl::ForkHandler::Parent(), parent(), XrdCl::FileStateHandler::PgRead(), XrdCl::FileStateHandler::PgReadImpl(), XrdCl::FileStateHandler::PgWrite(), XrdCl::FileStateHandler::PgWriteImpl(), XrdCl::CopyProcess::Prepare(), XrdCl::ForkHandler::Prepare(), prepare(), XrdCl::XRootDMsgHandler::Process(), XrdCl::Utils::ProcessConfigDir(), XrdCl::PlugInManager::ProcessEnvironmentSettings(), ProcessStatQuery(), XrdCl::Env::PutInt(), XrdCl::Env::PutString(), XrdCl::AsyncDiscardReader::Read(), XrdCl::AsyncHSReader::Read(), XrdCl::AsyncMsgReader::Read(), XrdCl::AsyncRawReader::Read(), XrdCl::AsyncVectorReader::Read(), XrdCl::FileStateHandler::Read(), XrdCl::LocalFileHandler::Read(), XrdCl::ZipArchive::ReadFromImpl, XrdCl::FileStateHandler::ReadV(), XrdCl::LocalFileHandler::ReadV(), XrdCl::MessageUtils::RedirectMessage(), XrdCl::PlugInManager::RegisterDefaultFactory(), XrdCl::PlugInManager::RegisterFactory(), XrdCl::TaskManager::RegisterTask(), XrdCl::InQueue::RemoveMessageHandler(), XrdCl::PollerBuiltIn::RemoveSocket(), XrdCl::ClassicCopyJob::Run(), XrdCl::ThirdPartyCopyJob::Run(), XrdCl::TPFallBackCopyJob::Run(), XrdCl::TaskManager::RunTasks(), XrdCl::FileSystemData::Send(), XrdCl::Socket::Send(), XrdCl::Stream::Send(), XrdCl::MessageUtils::SendMessage(), SetLogFile(), SetLogLevel(), SetLogMask(), XrdSsiLogger::SetMCB(), XrdCl::FileStateHandler::SetXAttr(), XrdCl::JobManager::Start(), XrdCl::PollerBuiltIn::Start(), XrdCl::TaskManager::Start(), XrdCl::FileStateHandler::Stat(), XrdCl::LocalFileHandler::Stat(), XrdCl::JobManager::Stop(), XrdCl::PollerBuiltIn::Stop(), XrdCl::TaskManager::Stop(), XrdCl::XRootDTransport::SubStreamNumber(), XrdCl::FileStateHandler::Sync(), XrdCl::LocalFileHandler::Sync(), XrdCl::FileStateHandler::TimeOutRequests(), XrdCl::FileStateHandler::Truncate(), XrdCl::LocalFileHandler::Truncate(), XrdCl::FileStateHandler::TryOtherServer(), XrdCl::TaskManager::UnregisterTask(), XrdCl::FileStateHandler::VectorRead(), XrdCl::LocalFileHandler::VectorRead(), XrdEc::Reader::VectorRead(), XrdCl::FileStateHandler::VectorWrite(), XrdCl::LocalFileHandler::VectorWrite(), XrdCl::FileStateHandler::Visa(), XrdCl::AsyncHSWriter::Write(), XrdCl::AsyncMsgWriter::Write(), XrdCl::FileStateHandler::Write(), XrdCl::FileStateHandler::Write(), XrdCl::LocalFileHandler::Write(), XrdCl::XRootDMsgHandler::WriteMessageBody(), XrdCl::FileStateHandler::WriteV(), and XrdCl::LocalFileHandler::WriteV().

## GetMonitor()

Monitor * XrdCl::DefaultEnv::GetMonitor | ( |  | ) |

static

Get the monitor object.

Definition at line 567 of file XrdClDefaultEnv.cc.

{
if( unlikely( !sMonitorInitialized ) )
{
XrdSysMutexHelper scopedLock( sInitMutex );
if( !sMonitorInitialized )
{
//----------------------------------------------------------------------
// Check the environment settings
//----------------------------------------------------------------------
Env *env = GetEnv();
Log *log = GetLog();
sMonitorInitialized = true;
std::string monitorLib = DefaultClientMonitor;
env->GetString( "ClientMonitor", monitorLib );
if( monitorLib.empty() )
{
log->Debug( UtilityMsg, "Monitor library name not set. No "
"monitoring" );
return 0;
}
std::string monitorParam = DefaultClientMonitorParam;
env->GetString( "ClientMonitorParam", monitorParam );
log->Debug( UtilityMsg, "Initializing monitoring, lib: %s, param: %s",
monitorLib.c_str(), monitorParam.c_str() );
//----------------------------------------------------------------------
// Loading the plugin
//----------------------------------------------------------------------
char *errBuffer = new char[4000];
sMonitorLibHandle = new XrdOucPinLoader(
errBuffer, 4000, &XrdVERSIONINFOVAR( XrdCl ),
"monitor", monitorLib.c_str() );
typedef XrdCl::Monitor *(*MonLoader)(const char *, const char *);
MonLoader loader;
loader = (MonLoader)sMonitorLibHandle->Resolve( "XrdClGetMonitor", -1 );
if( !loader )
{
log->Error( UtilityMsg, "Unable to initialize user monitoring: %s",
errBuffer );
delete [] errBuffer;
sMonitorLibHandle->Unload();
delete sMonitorLibHandle; sMonitorLibHandle = 0;
return 0;
}
//----------------------------------------------------------------------
// Instantiating the monitor object
//----------------------------------------------------------------------
const char *param = monitorParam.empty() ? 0 : monitorParam.c_str();
sMonitor = (*loader)( XrdSysUtils::ExecName(), param );
if( !sMonitor )
{
log->Error( UtilityMsg, "Unable to initialize user monitoring: %s",
errBuffer );
delete [] errBuffer;
sMonitorLibHandle->Unload();
delete sMonitorLibHandle; sMonitorLibHandle = 0;
return 0;
}
log->Debug( UtilityMsg, "Successfully initialized monitoring from: %s",
monitorLib.c_str() );
delete [] errBuffer;
}
}
return sMonitor;
}
XrdCl::DefaultEnv::GetLog
static Log * GetLog()
Get default log.
Definition XrdClDefaultEnv.cc:493
XrdCl::DefaultEnv::GetEnv
static Env * GetEnv()
Get default client environment.
Definition XrdClDefaultEnv.cc:445
XrdSysUtils::ExecName
static const char * ExecName()
Definition XrdSysUtils.cc:60
XrdCl::DefaultClientMonitorParam
const char *const DefaultClientMonitorParam
Definition XrdClConstants.hh:103
XrdCl::UtilityMsg
const uint64_t UtilityMsg
Definition XrdClConstants.hh:33
XrdCl::DefaultClientMonitor
const char *const DefaultClientMonitor
Definition XrdClConstants.hh:102
XrdGlobal::Log
XrdSysError Log
Definition XrdConfig.cc:113

References XrdCl::Log::Debug(), XrdCl::DefaultClientMonitor, XrdCl::DefaultClientMonitorParam, XrdCl::Log::Error(), XrdSysUtils::ExecName(), GetEnv(), GetLog(), XrdCl::Env::GetString(), unlikely, and XrdCl::UtilityMsg.

Referenced by XrdCl::Stream::OnConnect(), XrdCl::FileStateHandler::OnOpen(), XrdCl::FileStateHandler::OnStateError(), XrdCl::ClassicCopyJob::Run(), and XrdCl::ThirdPartyCopyJob::Run().

Here is the call graph for this function:
Here is the caller graph for this function:

## GetPlugInFactory()

PlugInFactory * XrdCl::DefaultEnv::GetPlugInFactory | ( | const std::string | url | ) |

static

Retrieve the plug-in factory for the given URL

Returns
  you do not own the returned memory

Definition at line 678 of file XrdClDefaultEnv.cc.

{
return sPlugInManager->GetFactory( url );
}

## GetPlugInManager()

PlugInManager * XrdCl::DefaultEnv::GetPlugInManager | ( |  | ) |

static

Get plug-in manager.

Definition at line 670 of file XrdClDefaultEnv.cc.

{
return sPlugInManager;
}

Referenced by XrdCl::FileSystem::FileSystem(), and XrdCl::File::Open().

Here is the caller graph for this function:

## GetPostMaster()

PostMaster * XrdCl::DefaultEnv::GetPostMaster | ( |  | ) |

static

Get default post master.

Definition at line 453 of file XrdClDefaultEnv.cc.

{
PostMaster* postMaster = AtomicGet(sPostMaster);
if( unlikely( !postMaster ) )
{
XrdSysMutexHelper scopedLock( sInitMutex );
postMaster = AtomicGet(sPostMaster);
if( postMaster )
return postMaster;
postMaster = new PostMaster();
if( !postMaster->Initialize() )
{
delete postMaster;
postMaster = 0;
return 0;
}
if( !postMaster->Start() )
{
postMaster->Finalize();
delete postMaster;
postMaster = 0;
return 0;
}
sForkHandler->RegisterPostMaster( postMaster );
postMaster->GetTaskManager()->RegisterTask( sFileTimer, time(0), false );
AtomicCAS(sPostMaster, sPostMaster, postMaster);
}
return postMaster;
}
AtomicCAS
#define AtomicCAS(x, y, z)
Definition XrdSysAtomics.hh:67
AtomicGet
#define AtomicGet(x)
Definition XrdSysAtomics.hh:71

References AtomicCAS, AtomicGet, XrdCl::PostMaster::Finalize(), XrdCl::PostMaster::GetTaskManager(), XrdCl::PostMaster::Initialize(), XrdCl::TaskManager::RegisterTask(), XrdCl::PostMaster::Start(), and unlikely.

Referenced by XrdCl::XRootDMsgHandler::XRootDMsgHandler(), XrdCl::File::~File(), XrdCl::FileStateHandler::~FileStateHandler(), XrdCl::FileStateHandler::Close(), XrdPosixConfig::conTracker(), XrdCl::FileSystem::DirList(), XrdCl::Utils::GetProtocolVersion(), main(), XrdCl::Stream::OnConnect(), XrdCl::Stream::OnConnectError(), XrdCl::FileStateHandler::OnOpen(), XrdCl::Stream::OnReadTimeout(), XrdCl::FileStateHandler::PgRead(), XrdCl::LocalFileHandler::QueueTask(), XrdCl::MessageUtils::RedirectMessage(), XrdCl::Operation< HasHndl >::Run(), XrdEc::ScheduleHandler(), XrdEc::ScheduleHandler(), XrdCl::MessageUtils::SendMessage(), and XrdCl::FileStateHandler::TimeOutRequests().

Here is the call graph for this function:
Here is the caller graph for this function:

## GetTransportManager()

TransportManager * XrdCl::DefaultEnv::GetTransportManager | ( |  | ) |

static

Get transport manager.

Definition at line 656 of file XrdClDefaultEnv.cc.

{
if( unlikely( !sTransportManager ) )
{
XrdSysMutexHelper scopedLock( sInitMutex );
if( !sTransportManager )
sTransportManager = new TransportManager();
}
return sTransportManager;
}

References unlikely.

Referenced by XrdCl::PostMaster::CollapseRedirect(), and XrdCl::PluginUnloadHandler::UnloadHandler().

Here is the caller graph for this function:

## GetVersion()

std::string XrdCl::DefaultEnv::GetVersion | ( |  | ) |

inline static

Get client version.

Definition at line 60 of file XrdClDefaultEnv.hh.

{
return XrdVERSION;
}

## ReInitializeLogging()

void XrdCl::DefaultEnv::ReInitializeLogging | ( |  | ) |

static

Re-initialize the logging.

Definition at line 777 of file XrdClDefaultEnv.cc.

{
delete sLog;
sLog = new Log();
SetUpLog();
}

Referenced by child().

Here is the caller graph for this function:

## SetLogFile()

bool XrdCl::DefaultEnv::SetLogFile | ( | const std::string & | filepath | ) |

static

Set log file

Parameters

  filepath | path to the log file

Definition at line 510 of file XrdClDefaultEnv.cc.

{
Log *log = GetLog();
LogOutFile *out = new LogOutFile();
if( out->Open( filepath ) )
{
log->SetOutput( out );
return true;
}
delete out;
return false;
}

References GetLog(), XrdCl::LogOutFile::Open(), and XrdCl::Log::SetOutput().

Here is the call graph for this function:

## SetLogLevel()

void XrdCl::DefaultEnv::SetLogLevel | ( | const std::string & | level | ) |

static

Set log level

Parameters

  level | Dump, Debug, Info, Warning or Error

Definition at line 501 of file XrdClDefaultEnv.cc.

{
Log *log = GetLog();
log->SetLevel( level );
}

References GetLog(), and XrdCl::Log::SetLevel().

Here is the call graph for this function:

## SetLogMask()

void XrdCl::DefaultEnv::SetLogMask | ( | const std::string & | level,
|  | const std::string & | mask )

static

Set log mask.

Set log mask. Determines which diagnostics topics should be printed. It's a "|" separated list of topics. The first element may be "All" in which case all the topics are enabled and the subsequent elements may turn them off, or "None" in which case all the topics are disabled and the subsequent flags may turn them on. If the topic name is prefixed with "^", then it means that the topic should be disabled. If the topic name is not prefixed, then it means that the topic should be enabled.

The default for each level is "All", except for the "Dump" level, where the default is "All|^PollerMsg". This means that, at the "Dump" level, all the topics but "PollerMsg" are enabled.

Available topics: AppMsg, UtilityMsg, FileMsg, PollerMsg, PostMasterMsg, XRootDTransportMsg, TaskMgrMsg, XRootDMsg, FileSystemMsg, AsyncSockMsg

Parameters

  level | log level or "All" for all levels
  mask | log mask

Definition at line 528 of file XrdClDefaultEnv.cc.

{
Log *log = GetLog();
MaskTranslator translator;
uint64_t topicMask = translator.translateMask( mask );
if( level == "All" )
{
log->SetMask( Log::ErrorMsg, topicMask );
log->SetMask( Log::WarningMsg, topicMask );
log->SetMask( Log::InfoMsg, topicMask );
log->SetMask( Log::DebugMsg, topicMask );
log->SetMask( Log::DumpMsg, topicMask );
return;
}
log->SetMask( level, topicMask );
}
XrdCl::Log::InfoMsg
@ InfoMsg
print info
Definition XrdClLog.hh:111
XrdCl::Log::WarningMsg
@ WarningMsg
report warnings
Definition XrdClLog.hh:110
XrdCl::Log::DebugMsg
@ DebugMsg
print debug info
Definition XrdClLog.hh:112
XrdCl::Log::ErrorMsg
@ ErrorMsg
report errors
Definition XrdClLog.hh:109
XrdCl::Log::DumpMsg
@ DumpMsg
print details of the request and responses
Definition XrdClLog.hh:113

References XrdCl::Log::DebugMsg, XrdCl::Log::DumpMsg, XrdCl::Log::ErrorMsg, GetLog(), XrdCl::Log::InfoMsg, XrdCl::Log::SetMask(), and XrdCl::Log::WarningMsg.

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## ::EnvInitializer

friend struct ::EnvInitializer

friend

Definition at line 48 of file XrdClDefaultEnv.hh.

The documentation for this class was generated from the following files:

- XrdClDefaultEnv.hh
- XrdClDefaultEnv.cc